Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio
Class SSLNHttpClientConnectionFactory

    java.lang.Object
      org.apache.http.impl.nio.SSLNHttpClientConnectionFactory

All Implemented Interfaces:
  NHttpConnectionFactory<DefaultNHttpClientConnection>

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class SSLNHttpClientConnectionFactory

extends Object
implements NHttpConnectionFactory<DefaultNHttpClientConnection>

Default factory for SSL encrypted, non-blocking `NHttpClientConnection`s.

Since:
  4.2

Field Summary
`static SSLNHttpClientConnectionFactory` | `INSTANCE`

Constructor Summary
`SSLNHttpClientConnectionFactory()`
`SSLNHttpClientConnectionFactory(ConnectionConfig config)`
`SSLNHttpClientConnectionFactory(HttpParams params)` Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(ConnectionConfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, ConnectionConfig config)`
`SSLNHttpClientConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, NHttpMessageParserFactory<HttpResponse> responseParserFactory, NHttpMessageWriterFactory<HttpRequest> requestWriterFactory, ByteBufferAllocator allocator, ConnectionConfig cconfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, HttpParams params)` Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(SSLContext, SSLSetupHandler, ConnectionConfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, HttpResponseFactory responseFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(SSLContext, SSLSetupHandler, NHttpMessageParserFactory, NHttpMessageWriterFactory, ByteBufferAllocator, ConnectionConfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, NHttpMessageParserFactory<HttpResponse> responseParserFactory, NHttpMessageWriterFactory<HttpRequest> requestWriterFactory, ByteBufferAllocator allocator, ConnectionConfig cconfig)`
`SSLNHttpClientConnectionFactory(SSLContext sslContext, SSLSetupHandler sslHandler, NHttpMessageParserFactory<HttpResponse> responseParserFactory, NHttpMessageWriterFactory<HttpRequest> requestWriterFactory, ConnectionConfig cconfig)`

Method Summary
`DefaultNHttpClientConnection` | `createConnection(IOSession ioSession)`
`protected DefaultNHttpClientConnection` | `createConnection(IOSession session, HttpResponseFactory responseFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) no longer used.
`protected SSLIOSession` | `createSSLIOSession(IOSession ioSession, SSLContext sslContext, SSLSetupHandler sslHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final SSLNHttpClientConnectionFactory INSTANCE

Constructor Detail

### SSLNHttpClientConnectionFactory

    @Deprecated
    public SSLNHttpClientConnectionFactory(SSLContext sslContext,
                                                      SSLSetupHandler sslHandler,
                                                      HttpResponseFactory responseFactory,
                                                      ByteBufferAllocator allocator,
                                                      HttpParams params)

  Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(SSLContext, SSLSetupHandler, NHttpMessageParserFactory, NHttpMessageWriterFactory, ByteBufferAllocator, ConnectionConfig)`

### SSLNHttpClientConnectionFactory

    @Deprecated
    public SSLNHttpClientConnectionFactory(SSLContext sslContext,
                                                      SSLSetupHandler sslHandler,
                                                      HttpParams params)

  Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(SSLContext, SSLSetupHandler, ConnectionConfig)`

### SSLNHttpClientConnectionFactory

    @Deprecated
    public SSLNHttpClientConnectionFactory(HttpParams params)

  Deprecated. (4.3) use `SSLNHttpClientConnectionFactory(ConnectionConfig)`

### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslContext,
                                           SSLSetupHandler sslHandler,
                                           ContentLengthStrategy incomingContentStrategy,
                                           ContentLengthStrategy outgoingContentStrategy,
                                           NHttpMessageParserFactory<HttpResponse> responseParserFactory,
                                           NHttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                           ByteBufferAllocator allocator,
                                           ConnectionConfig cconfig)

Since:
  4.3

### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslContext,
                                           SSLSetupHandler sslHandler,
                                           NHttpMessageParserFactory<HttpResponse> responseParserFactory,
                                           NHttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                           ByteBufferAllocator allocator,
                                           ConnectionConfig cconfig)

Since:
  4.3

### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslContext,
                                           SSLSetupHandler sslHandler,
                                           NHttpMessageParserFactory<HttpResponse> responseParserFactory,
                                           NHttpMessageWriterFactory<HttpRequest> requestWriterFactory,
                                           ConnectionConfig cconfig)

Since:
  4.3

### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(SSLContext sslContext,
                                           SSLSetupHandler sslHandler,
                                           ConnectionConfig config)

Since:
  4.3

### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory(ConnectionConfig config)

Since:
  4.3

### SSLNHttpClientConnectionFactory

    public SSLNHttpClientConnectionFactory()

Since:
  4.3

Method Detail

### createConnection

    @Deprecated
    protected DefaultNHttpClientConnection createConnection(IOSession session,
                                                                       HttpResponseFactory responseFactory,
                                                                       ByteBufferAllocator allocator,
                                                                       HttpParams params)

  Deprecated. (4.3) no longer used.

### createSSLIOSession

    protected SSLIOSession createSSLIOSession(IOSession ioSession,
                                              SSLContext sslContext,
                                              SSLSetupHandler sslHandler)

  Since:
    4.3

### createConnection

    public DefaultNHttpClientConnection createConnection(IOSession ioSession)

  Specified by:
    `createConnection` in interface `NHttpConnectionFactory<DefaultNHttpClientConnection>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.